#/bin/bash
pwd_path="/home/qa-deploy-utils/qa_shell_script"
config_server="$pwd_path/config_server"
project_path=`cat $config_server/project_path.sh`
config_path=`cat $config_server/config_path.sh`

function changeGitFile()
{
	projects=(`node $config_server/get_project_config.js  -type $1 -attr name`)
	for project in ${projects[@]}
	do
		echo "----$project--done"
		sed -i "s/shengcong.gan:12345678/dekun.dai:quantgroup.com/g" /home/quant_group/$project/.git/config
	done
}
changeGitFile java
changeGitFile ui
changeGitFile node
changeGitFile python



